ReportRecord.ReportSubType (messages 1.5.0-2.12.0 API)
Date: 2013-02-16

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.gcube.messaging.common.messages.records
Enum ReportRecord.ReportSubType

    java.lang.Object
      java.lang.Enum<ReportRecord.ReportSubType>
          org.gcube.messaging.common.messages.records.ReportRecord.ReportSubType

All Implemented Interfaces:
  Serializable, Comparable<ReportRecord.ReportSubType>

Enclosing class:
  ReportRecord

    public static enum ReportRecord.ReportSubType

extends Enum<ReportRecord.ReportSubType>

Enum Constant Summary
`CREATE_REPORT`
`CREATE_TEMPLATE`
`GENEARATE_REPORT_OUTPUT`
`OPEN_REPORT`
`OPEN_TEMPLATE`
`OPEN_WORKFLOW_REPORT`
`SAVE_WORKFLOW_REPORT`

Method Summary
`String` | `toString()`
`static ReportRecord.ReportSubType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ReportRecord.ReportSubType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CREATE_REPORT

    public static final ReportRecord.ReportSubType CREATE_REPORT

### GENEARATE_REPORT_OUTPUT

    public static final ReportRecord.ReportSubType GENEARATE_REPORT_OUTPUT

### OPEN_REPORT

    public static final ReportRecord.ReportSubType OPEN_REPORT

### OPEN_WORKFLOW_REPORT

    public static final ReportRecord.ReportSubType OPEN_WORKFLOW_REPORT

### SAVE_WORKFLOW_REPORT

    public static final ReportRecord.ReportSubType SAVE_WORKFLOW_REPORT

### CREATE_TEMPLATE

    public static final ReportRecord.ReportSubType CREATE_TEMPLATE

### OPEN_TEMPLATE

    public static final ReportRecord.ReportSubType OPEN_TEMPLATE

Method Detail

### values

    public static ReportRecord.ReportSubType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ReportRecord.ReportSubType c : ReportRecord.ReportSubType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ReportRecord.ReportSubType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<ReportRecord.ReportSubType>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2013. All Rights Reserved.